List project users
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/users/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/users/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"display_name": "<string>",
"is_service_account": true,
"date_joined": "2023-11-07T05:31:56Z"
},
"permissions": [
"CAN_PERFORM_ADMIN_ACTIONS"
],
"profile": "contributor"
}
]
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Users
List project users
Retrieve all users with access to a project. Service accounts with access are not listed here: they are managed on the organization’s Service accounts page.
GET
/
projects
/
{project_id}
/
users
/
List project users
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/users/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/users/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"display_name": "<string>",
"is_service_account": true,
"date_joined": "2023-11-07T05:31:56Z"
},
"permissions": [
"CAN_PERFORM_ADMIN_ACTIONS"
],
"profile": "contributor"
}
]
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer <token>. The token is either a user token / OAuth access
token, or a service-account API key (cfk_...). A key is valid on every endpoint and
acts as its service account, an organization member with per-store permissions.
Refused keys answer 403 with Invalid API key., API key revoked.,
API key expired. or API key disabled..
Path Parameters
UUID of the project
Query Parameters
Filter by email (case-insensitive partial match)
Maximum number of results per page
Required range:
1 <= x <= 1000Number of results to skip for pagination
Required range:
x >= 0